> For the complete documentation index, see [llms.txt](https://docs.feeder.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feeder.finance/security-and-contracts/source-codes.md).

# Source Codes & APIs

## Source codes

The source codes of our smart contracts are verified on BscScan and published to our Github repository.

| Contract                       | Github                                                                                                              | BscScan                                                                                        |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| **FeedToken**                  | [View on Github](https://github.com/FeederFinance/feeder-contracts/blob/main/contracts/token/FeedToken.sol)         | [View on BscScan](https://bscscan.com/address/0x67d66e8ec1fd25d98b3ccd3b19b7dc4b4b7fc493#code) |
| **FeedFarm**                   | [View on Github](https://github.com/FeederFinance/feeder-contracts/blob/main/contracts/farm/FeedFarm.sol)           | [View on BscScan](https://bscscan.com/address/0xd90A8878a2277879600AA2cba0CADC7E1a11354D#code) |
| **FeedTimelock**               | [View on Github](https://github.com/FeederFinance/feeder-contracts/blob/main/contracts/timelock/FeedTimelock.sol)   | [View on BscScan](https://bscscan.com/address/0x0d12B588E09fF802bb30E895E78Cd8f230067898#code) |
| **FeedTimelockV2 (Liquidity)** | [View on Github](https://github.com/FeederFinance/feeder-contracts/blob/main/contracts/timelock/FeedTimelockV2.sol) | [View on BscScan](https://bscscan.com/address/0x9348312B593B7946b3e8feC7b76f84e53433FA7A#code) |

## API

## GET Token Data

<mark style="color:blue;">`GET`</mark> `https://api.feeder.finance/v1/token`

Get name, symbol, max supply, total supply, circulating supply, and USD price.

{% tabs %}
{% tab title="200 " %}

```
{
    "name":"Feeder Finance",
    "symbol":"FEED",
    "maxSupply":100000000,
    "totalSupply":44525826,
    "circulatingSupply":17775826,
    "feedPriceUsd":0.1358183177
}
```

{% endtab %}
{% endtabs %}

## GET  Token Holders

<mark style="color:blue;">`GET`</mark> `https://api.feeder.finance/v1/token/holders`

Get amount of FEED token holders

{% tabs %}
{% tab title="200 " %}

```
{
    "holders":751
}
```

{% endtab %}
{% endtabs %}

## GET Platform Data

<mark style="color:blue;">`GET`</mark> `https://api.feeder.finance/v1/platform`

Get staking, farming, total TVLand feed-bnb-lp in USD.

{% tabs %}
{% tab title="200 " %}

```
{
    "stakeTvlUsd":1083526.1178834818,
    "farmTvlUsd":1807536.981607346,
    "totalTvlUsd":2891063.099490828,
    "feedBnbLpUsd":"5.5137073597"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feeder.finance/security-and-contracts/source-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
